:root {
  --primary-color: rgb(4, 4, 4);
  --secondary-color: rgb(21, 21, 21);
  --text-color: rgb(255, 255, 255);
  --line-color: rgb(0 0 0);
  --focus-color: rgb(255, 0, 0);
  --background-color: #e2e2e263;
  --node-size: 100%;
}
.mindmapbox {
    color: var(--text-color);
    /*font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;*/
    font-family: 'Inter', Arial, Helvetica, Verdana, sans-serif;
    font-size: calc(var(--node-size) / 4);
    overflow: auto;
    padding: 10px 10px 10px 10px;
    margin: 0 -20px -7px -13px;
    background-color: var(--background-color);
    width: 100%;
    cursor: pointer;
    display: flex !important;
    flex-wrap: wrap;
    visibility: hidden;
    height: 0;
    justify-content: center;
    align-items: center;
}
.mindmap{flex: 0 0 auto;flex-wrap: nowrap !important;display: flex;margin: 0 auto;position: relative;visibility: hidden;height: 0;float: left;clear: both;}
.mindmap div, .mindmap ol, .mindmap ul, .mindmap input{
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    border: 0;
    background: transparent;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-size: 100%;
    float: none !important;
    width: auto !important;
    margin: auto !important;
}

.mindmapbox::-webkit-scrollbar {height: 1px;width: 1px; background-color: #ffffff;}
.mindmapbox::-webkit-scrollbar-thumb { background: #000000;}

/*
@media (max-width: 768px) {
    .mindmap {
        overflow-x: auto; 
        padding: calc(var(--node-size) *2) calc(var(--node-size) * 3);
        margin: 0;
    }
}*/


.mindmap:before {
    content: '';
    display: inline-block;
    vertical-align: middle;
    height: 100%;
    width: 0;
}
.mindmap:after {
    content: '';
    display: inline-block;
    vertical-align: middle;
    height: 100%;
    width: 0;
}
.mindmap .node {
    direction: ltr;
    position: relative;
    display: inline-block;
    vertical-align: middle;
    height:auto;
    margin: 0.25vw 0 !important;
    padding: .25rem .5rem;
    text-align: center;
    line-height: 100%;
    border: 2px solid #75757500;
    border-radius: 1.0rem;
    background: rgb(21 21 21);
    cursor: pointer;
    z-index: 1;
    box-shadow: 0px 1px 2px #000000;
}

.mindmap .node:hover {
    border-width: 2px;
}

.mindmap .node_input {
    display: none;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    font: inherit;
    font-style: italic;
    text-align: center;
    background: none;
    color: inherit;
}

.mindmap .node_root {
    border-radius: 50%;
    padding: 0px 0px 0px 0px;
    display: contents;
}

.mindmap .node_root input{
    opacity: 0;
}
.mindmap .node_root .node_img{float: left !important;}   
.mindmap .node_root img{
    object-fit: cover;
    border-radius: 50%  !important;
    box-shadow: 0px 0px 5px 2px #000000;
    float: none !important;
    clear: none !important;
    margin: 0.25vw 0 !important;
    padding: 0.25rem 0.25rem !important;
    height: auto !important;
    background-color: #000;
    max-width: 64px !important;
    max-height: 64px;
}

.mindmap .children {
    position: relative;
    list-style: none;
    text-align: left;
    padding: 0 0em 0 7px !important;
    display: inline-block;
    vertical-align: middle;
    /* width: auto !important; */
    /* float: none !important; */
    /* margin-right: -50px !important; */
}

.mindmap .children:before {
    content: '';
    position: absolute;
    top: 50%;
    left: -6px;
    width: 17px;
    border-top: 2px solid var(--line-color);
}

.mindmap .children_item {
    position: relative;
    padding: 0px 0px 0 12px !important;
    border-left: 6px solid var(--line-color);
    float: none !important;
}

.mindmap .children_item:first-child,
.mindmap .children_item:last-child {
    border-left: 2px solid transparent !important;
    padding: 0px 0px 0 16px !important;
    width: auto !important;
    float: none !important;
    /* margin: auto !important; */
}

.mindmap .children_item:before {
    content: '';
    width: 16px;
    border-top: 2px solid var(--line-color);
    position: absolute;
    top: 50%;
    left: 0px;
}

.mindmap .children_item:first-child:before {
    left: 0px;
    bottom: 0;
    border-radius: 9px 0 0 0;
    border-left: 2px solid var(--line-color);
}

.mindmap .children_item:last-child:before {
    left: 0px;
    top: 0;
    bottom: 50%;
    border-radius: 0 0 0 9px;
    border: 0;
    border-left: 2px solid var(--line-color);
    border-bottom: 2px solid var(--line-color);
}

.mindmap .children_item:first-child:last-child:before {
    top: 50%;
    bottom: auto;
    border: 0;
    border-radius: 0;
    border-top: 2px solid var(--line-color);
}

.mindmap .children_leftbranch,.mindmap .children_leftbranch .children {
    direction: rtl;
    text-align: right;
    padding: 0 6px 0 0 !important;
}

.mindmap .children_leftbranch:before,
.mindmap .children_leftbranch .children:before {
    left: auto;
    right: -7px;
}

.mindmap .children_leftbranch .children_item {
    padding: 0 12px 0 0px !important;
    border: 0px;
    border-right: 6px solid var(--line-color);
    width: auto !important;
    float: none !important;
}

.mindmap .children_leftbranch .children_item:first-child,
.mindmap .children_leftbranch .children_item:last-child {
    border-right: 2px solid #ffffff00;
    padding: 0 16px 0 0px !important;
    float: none !important;
    margin: auto !important;
}

.mindmap .children_leftbranch .children_item:before {
    top: 50%;
    left: auto;
    right: 0px;
}

.mindmap .children_leftbranch .children_item:first-child:before {
    right: 0px;
    border: 0px;
    border-radius: 0 9px 0 0;
    border-top: 2px solid var(--line-color);
    border-right: 2px solid var(--line-color);
}

.mindmap .children_leftbranch .children_item:last-child:before {
    right: 0px;
    top: 0px;
    bottom: 50%;
    border-radius: 0 0 9px 0;
    border: 0px;
    border-right: 2px solid var(--line-color);
    border-bottom: 2px solid var(--line-color);
}

.mindmap .children_leftbranch .children_item:first-child:last-child:before {
    top: 50%;
    bottom: auto;
    border: 0px;
    border-radius: 0px;
    border-top: 2px solid var(--line-color);
}
.mindmap .children .node a{color: #b7dcf9;text-decoration:  none;}
.mindmap .children .node a:hover{color: #FFEB3B;}
.mindmap .children .node img{float:left;margin: 0px 9px 0px -4px;width: 2em;}


.mindmap ol .node{background-color: #000;}
.mindmap .children .children .node{background-color: #222;}
.mindmap .children .children .children .node{background-color: #333;}
.mindmap .children .children .children .children .node{background-color: #444;}
.mindmap .children .children .children .children .children .node{background-color: #555;}
.mindmap .children .children .children .children .children .children .node{background-color: #666;}
.mindmap .children .children .children .children .children .children .children .node{background-color: #777;}
.mindmap .children .children .children .children .children .children .children .children .node{background-color: #888;}
.mindmap .children .children .children .children .children .children .children .children .children .node{background-color: #999;}


.mindmap .comment {
    border-radius: 24px 24px;
    background-color: #ffffff;
    color: #000000;
    font-size: 0.8rem;
    word-wrap: break-word;
    word-break: break-word;
    white-space: break-spaces;
    overflow: hidden;
    box-shadow: 0px 1px 2px #00000029;
    text-align: left;
    padding: 4px 0px 4px 13px;
    margin: 9px 0px -12px 0px !important;
    display: none;
}
.mindmap .comment:before {
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border: 15px solid transparent;
    border-bottom-color: #ffffff;
    border-top: 0;
    margin-top: -14px;
    margin-left: calc(var(--node-size) / 2.5);
}

.mindmap .node_text .bi{float:left;margin: 0.08rem 0.5rem -0.1rem -0.09rem;}
.mindmap .comment .zprs{float:right;color: #848484;font-size: .7em;margin: calc(var(--node-size) / 7) auto calc(var(--node-size) / -10) auto;}
.mindmap .ctxt {
    color: #ffffff;
    background-color: #707070 !important;
    margin: 15vw -4.3vw 8vw -9.3vw !important;
    position: relative;
    z-index: 1;
    border-radius: 21px 21px 21px 21px;
    clear: both;
    float: left !important;
    text-transform: uppercase;
    font-weight: 300;
    box-shadow: 0px -1px 16px 2px #00000075;
    word-break: break-word;
    white-space: break-spaces;
    padding: 0.7rem 0.5rem 0.5rem 0.5rem !important;
    overflow: hidden;
    width: 14vw !important;
    font-size: 84%;
    display: none;
}


.mind_menu{float: left;width: 100%;height:40px;/* background-color: #ff000070; */position: relative;margin: -10px 0 -30px 0;z-index: 12;}
.mind_menu svg{float:right;margin: 1px -5px 0 0;fill:#bcbcbc;width: 24px;height: 24px;}
.mind_menu svg:hover{fill:#F00; cursor:pointer;}
#mindmap_dwr{display:none;position: fixed;left: 0px;top: 0px;width: 100%;height: 100vh;z-index: 1000;background: linear-gradient(105deg, #a0a0a0 0%, #ffffff 63%);box-shadow: 1px 1px 26px 2px #0000007a inset;}
#mindmap_dwr .mindmapbox{height:100% !important;width: 100% !important;--node-size: 500%;}
#mindmap_dwr .mindmap{height:100% !important;}
#mindmap_dwr .mind_menu svg{margin:10px 10px 0px 0px; fill:#F00;}

.mind_menu svg.cls{display:none;}
#mindmap_dwr .mind_menu svg.cls{transform: rotate(-45deg);display:block;background-color: #f00;border-radius: 50%;padding: 5px;fill: #fff;width: 40px;height: 40px;}
#mindmap_dwr .mind_menu svg.opn{display:none;}
#mindmap_dwr .mind_menu svg.cls:hover{fill:#000;}
#mindmap_dwr .mindmap .node_root img{max-width: 88px !important;width: 88px !important;max-height: 88px !important;height: 88px !important;}